org.apache.pdfbox.preflight.process.reflect

## Class AnnotationValidationProcess

- java.lang.Object
- - org.apache.pdfbox.preflight.process.AbstractProcess
  - - org.apache.pdfbox.preflight.process.reflect.AnnotationValidationProcess

All Implemented Interfaces:
  ValidationProcess

    public class AnnotationValidationProcess
    extends AbstractProcess

### Constructor Summary

Constructors
Constructor and Description
`AnnotationValidationProcess()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `validate(PreflightContext context)`

### Methods inherited from class org.apache.pdfbox.preflight.process.AbstractProcess

`addFontError, addValidationError, addValidationErrors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationValidationProcess

    public AnnotationValidationProcess()

### Method Detail

#### validate

    public void validate(PreflightContext context)
                  throws ValidationException

Throws:
  `ValidationException`